﻿<Page x:Class="SpaceInvadersMVVM.MainPage"
      xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
      xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
      xmlns:local="using:SpaceInvadersMVVM"
      xmlns:viewModel = "using:SpaceInvadersMVVM.ViewModel"
      xmlns:Core ="using:SpaceInvadersMVVM.core"
      Background="{ThemeResource ApplicationPageBackgroundThemeBrush}">

  <Grid>

    <MediaPlayerElement x:Name="laser" Source="ms-appx:///SpaceInvadersMVVM/Assets/spaceInvader/laser.mp3"></MediaPlayerElement>
    <MediaPlayerElement x:Name="explosion" Source="ms-appx:///SpaceInvadersMVVM/Assets/spaceInvader/explosion.ogg"></MediaPlayerElement>

    <Canvas Background="Black" x:Name="miCanvas" IsTabStop="True" KeyUp="miCanvas_KeyUp"  KeyDown="miCanvas_KeyDown" TabIndex="0" PointerEntered="miCanvas_PointerEntered" Width="500" Height="500">
      <ItemsControl ItemsSource="{Binding GameEntities}">
        <ItemsControl.ItemTemplate>
          <DataTemplate x:DataType="Core:DynamicGameObject">
            <Image Source="{Binding Source}" Width="{Binding RectWidth}" Canvas.Left="{Binding Position.X}" Canvas.Top="{Binding Position.Y}" Height="{Binding RectHeight}">
              <Image.RenderTransform>
                <TranslateTransform X="{Binding Position.X}" Y="{Binding Position.Y}"  />
              </Image.RenderTransform>
            </Image>
          </DataTemplate>
        </ItemsControl.ItemTemplate>
        <ItemsControl.ItemsPanel>
          <ItemsPanelTemplate>
            <Canvas />
          </ItemsPanelTemplate>
        </ItemsControl.ItemsPanel>
      </ItemsControl>
    </Canvas>
    <TextBlock x:Name="info" Text="{Binding Score}"></TextBlock>
  </Grid>
</Page>
